declare global {
    interface JQuery {
        parallaxContent(arg: Partial<OptionsType>): void;
    }
}
declare global {
    interface Window {
        $: JQuery;
    }
}
declare enum EventTypes {
    Scroll = "SCROLL",
    Gyro = "GYRO"
}
declare enum DeviceOrientationTypes {
    Landscape = "LANDSCAPE",
    Portrait = "PORTRAIT"
}
type OptionsType = {
    events: Array<EventTypes>;
    shift: number;
    duration: number;
    gyroSensitivity: number;
};
export default class ParallaxContent {
    element: HTMLElement;
    settings: OptionsType;
    elementSize: [number, number];
    shift: number;
    doubleShift: number;
    deviceOrientation: DeviceOrientationTypes | undefined;
    animationLength: number;
    isVisible: boolean;
    positionX: number;
    positionY: number;
    constructor(element: HTMLElement, options?: Partial<OptionsType>);
    private init;
    private updateOrientation;
    private subscribeGyroEvent;
    private animate;
    private subscribeScrollEvent;
}
export {};
